#!/bin/sh

PEAR_PATH="/etc/pear/pear_monitor"
DEV_CONF="dev.conf"
NIC_CONF="nic.conf"
MAC_CONF="mac.conf"
TARGET_FILE="config.json"

if [ -f "${PEAR_PATH}/${TARGET_FILE}" ]
then
        exit 0
fi

if ! command -v jq 2>&1 >/dev/null
then
        yum install jq -y
fi

CONF_JSON='{"macs":[],"nics":[],"storage":[]}'

export IFS=","

read_and_parse()
{
        read -r ${2} <"${PEAR_PATH}/${1}"
}

append_to_json()
{
        for ITEM in ${1}
        do
                CONF_JSON=$(printf '%s\n' "$CONF_JSON" | jq ${2}'+=["'${ITEM}'"]')
        done
}

read_and_parse $DEV_CONF DEVS
read_and_parse $NIC_CONF NICS
read_and_parse $MAC_CONF MACS

append_to_json "$DEVS" '.storage'
append_to_json "$NICS" '.nics'
append_to_json "$MACS" '.macs'

printf '%s\n' "$CONF_JSON" >${PEAR_PATH}/${TARGET_FILE}
