#!/bin/bash

sleep 30
echo "begin debug"

user_id=""
user_info_file="/etc/pear/pear_monitor/pear_user_info.json"

PTTY_PORT=${PTTY_PORT:=4981}

EVERY_SLEEP=300

get_user_id()
{
        if [ -n "${user_id}" ]
        then
                echo $user_id
                exit 0
        fi

        while [ ! -r "${user_info_file}" ]
        do
                sleep ${EVERY_SLEEP}
        done

        echo $(sed -n 's/.*\"i\":\"\([0-9a-z\-]\+\).*/\1/p' "${user_info_file}")
}


open_debug()
{
     ptty_exist=$(pgrep ptty)
     [ -n "${ptty_exist}" ] && echo ptty pid="${ptty_exist}" || echo ptty not running
     if [ -z "${ptty_exist}" ]; then
        user_id=$(get_user_id)
        echo $user_id
        nohup /usr/sbin/ptty -I "${user_id}" -h console.webrtc.win -p "${PTTY_PORT}" -a -d TEST_NODE > /dev/null 2>&1 &
     fi
}

while true
do
    open_debug
    sleep ${EVERY_SLEEP}
done
