#!/bin/bash
### BEGIN INIT INFO
# Provides:          pear_init
# Required-Start:    $network $local_fs
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: PearInit Service
# Description:       Manages the PearInit with start commands.
### END INIT INFO

start() {

  RECORD_LOG="/root/pear/log/pear_init.log"
  echo "------------------------------------------------------------------------" >>  ${RECORD_LOG}
  ln -sf /usr/share/zoneinfo/Asia/Shanghai /etc/localtime
  ntpdate cn.pool.ntp.org
  hwclock --systohc
  echo 1 `date +'%Y-%m-%d %H:%M:%S'` begin pear_init  >>  ${RECORD_LOG}

  # /root/pear/storage/expand-root.sh -y
  # echo 1.1 `date +'%Y-%m-%d %H:%M:%S'` expand-root  >>  ${RECORD_LOG}

  /root/pear/storage/wait_disk_ok.sh
  echo 1.2 `date +'%Y-%m-%d %H:%M:%S'` wait_disk_ok  >>  ${RECORD_LOG}

  # source /root/pear/network/utils/if_up.sh
  # if_up_on_reboot
  # echo 1.3 `date +'%Y-%m-%d %H:%M:%S'` if_up_on_reboot  >>  ${RECORD_LOG}

  # modprobe exfat 
  sleep 5
  # 设置网卡队列
  #/root/pear/network/utils/pear_ksoftirq_balance.sh &
  #echo 2 `date +'%Y-%m-%d %H:%M:%S'` begin pear_ksoftirq_balance  >>  ${RECORD_LOG}

  # 挂载硬盘
  /root/pear/storage/pear_mount_on_reboot.sh # TODO /etc/pear/pear_script/parted  生成的 remount 需要放到 /root/pear/pear_remount.sh
  echo 2.1 `date +'%Y-%m-%d %H:%M:%S'` begin pear_mount_on_reboot  >>  ${RECORD_LOG}

  # 设置系统配置
  echo 3 `date +'%Y-%m-%d %H:%M:%S'` begin ulimit >> ${RECORD_LOG}
  # ulimit -HSn 131072
  swapoff -a && swapon -a
  sysctl -w vm.swappiness=1
  sysctl -p
  echo 3.1 `date +'%Y-%m-%d %H:%M:%S'` finish ulimit >> ${RECORD_LOG}

  # 如果是静态IP 则设置 ip rule
  # /root/pear/network/static/setroute.sh -r 

  # 如果是PPPoE 则启动 pear_findppp
  # /root/pear/network/pppoe/post.sh

  # pear ddns 
  echo 6 `date +'%Y-%m-%d %H:%M:%S'` finish pear_init  >>  ${RECORD_LOG}
}


case "$1" in
  start)
    start
    ;;
  stop)
    echo "stop"
    ;;
  *)
    echo "$0 start|stop|reload|restart"
    exit 1
esac

exit 0
